import { Strategy } from './strategy';
export declare class ReEffectError extends Error {
    constructor(message: string);
}
export declare class CancelledError extends ReEffectError {
    constructor(strategy?: Strategy | 'cancel');
}
export declare class LimitExceededError extends ReEffectError {
    constructor(limit: number, running: number);
}
export declare class TimeoutError extends ReEffectError {
    constructor(timeout: number);
}
