import { Event, Step } from 'effector';
import { CancelledPayload, MutableReEffect } from './types';
interface InstanceNewEvents<Payload> {
    readonly cancelled: Event<CancelledPayload<Payload>> & {
        graphite: Step;
    };
    readonly cancel: Event<void> & {
        graphite: Step;
    };
    readonly feedback: boolean;
}
export declare const patchInstance: <Payload, Done, Fail>(instance: MutableReEffect<Payload, Done, Fail>, { cancelled, cancel, feedback }: InstanceNewEvents<Payload>) => void;
export {};
