import { Strategy } from './strategy';
export declare type CancellablePromise<T> = Promise<T> & {
    cancel: (strategy?: Strategy) => void;
};
export declare const cancellable: <Done>(promise: PromiseLike<Done>, abort?: (() => void) | undefined, timeout?: number | undefined) => CancellablePromise<Done>;
export declare const defer: <Done>() => {
    rs: (value?: Done | PromiseLike<Done> | undefined) => void;
    rj: (reason?: any) => void;
    req: Promise<Done>;
};
